<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\RaumUebersicht\PdfListen\Hausmeisterlisten\Dialog;

class ShowHmListenUseCase extends \Kufer\Web\KuferTools\Basis\PdfListen\Hausmeisterlisten\Dialog\ShowHmListenUseCase
{
  public static function getToolSectionId()
  {
    return 423;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_MA;
  }

  protected function extendKursortFilter($dbwKursorte)
  {
    
    if (isset($this->toolSettings->nurRaeumeAussenst) && $this->toolSettings->nurRaeumeAussenst == true) {
      $dbwUser = new \DBWorkBASysUser();
      $user = $this->getUser();
      $BASysUser = $dbwUser->getBASysUser($user->ben);
      $dbwKursorte->fromobject->aussenstelle = $BASysUser->aussenstelle;
    }

    return $dbwKursorte;
  }
}